# Trusty's Backend Challenge

First of all, **congrats** !  You've successfully made your way through the first steps of our recruitment process.

In this test, your will develop an API on a Node.js server that retrieve organized datas from an open source database.

## Guidelines

- Clone this repo (do **not** fork it)
- Solve the exercices in ascending order
- Only do one commit per exercice and include the `.git` when submiting your test

An `expected_output.json` file is available to give you a reference on what result is expected.**

## Pointers

Trusty’s technical test is built to help you express yourself as a developer and give us an overview of your ability to code on a specific stack. This exercise gives you a lot of liberty in the structure's logic and your technical choices. Feel free to keep an opened mind and to suggest other features that seem relevant to you. 

Our Tech Team will pay great attention to:
- your files organization,
- your code quality,
- your parsimony logic:  **the less the better**
- your technical choices,
- your ability to propose : **thinking outside the box**

Please also note that:
- Running `$ node index.js` from the exercice folder should generate the desired output, but of course feel free to add more files if needed.

## Sending Your Results

Once you are done, please send your results to Trusty.

`maxime@hellotrusty.io`

You can send your Github/Gitlab/... project link or zip your directory and send it via email.
If you do not use Github/Gitlab/..., don't forget to attach your `.git` folder.

Good luck, and talk soon!
Trusteam